Refresh category counts for plwikisource
Closed, ResolvedPublic

Description

Please, update category counters in plwikisource by running populateCategory.php .

As it is well-known problem category counters are sometimes not accurate for large categories (T18036: Number of category members (PAGESINCATEGORY) is inaccurate for large categories).
In mid-2012 we decided to adjust some large category counters by adding manual corrections to them on the pages where the values were used.
However, we found that since that time the difference between real category count and the counter is stable, at least for Category:Indeks (exactly the same difference now as 4,5 years ago).
So we hope the problem leading to this discrepancy is (at least partially) solved and we will get more accurate data without manual corrections (which we would like to drop).

I asked our community for an opinion about this task here:

https://pl.wikisource.org/wiki/Wiki%C5%BAr%C3%B3d%C5%82a:Skryptorium/Pulpit_techniczny#Ponowne_przeliczenie_kategorii
Ankry created this task.Jan 30 2017, 7:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2017, 7:55 PM
Dereckson renamed this task from Run populateCategory.php for plwikisource to Refresh category counts for plwikisource.EditedFeb 1 2017, 2:56 PM

Per T20488, probably best to use refreshCategoryCounts.

This maintenance script has been later removed.

Dereckson added a subscriber: TTO.Feb 1 2017, 3:17 PM
Terbium
$ mwscript populateCategory.php plwikisource --force
Erazm_Majewski
Kraszewski_więzień_i_Niemcy
Perykles
Sonety_krymskie
Wykolejeniec
Category population complete.

Mentioned in SAL (#wikimedia-operations) [2017-02-01T15:17:40Z] <Dereckson> mwscript populateCategory.php plwikisource --force to refresh categories stats (T156670)

@Ankry are the statistics up to date now?

matmarex updated the task description. (Show Details)Feb 1 2017, 3:37 PM
matmarex added a subscriber: matmarex.
Ankry added a comment.Feb 1 2017, 3:49 PM

The counter for Category:Indeks seems to be OK. Thanks.

matmarex closed this task as Resolved.Feb 1 2017, 3:52 PM